Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(98)

Issue 2064473002: Don't need to preserve CSS line-height property during editing operation (Closed)

Created:
1 year, 6 months ago by joone
Modified:
1 year, 6 months ago
Reviewers:
yosin_UTC9
CC:
blink-reviews, blink-reviews-style_chromium.org, chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Don't need to preserve CSS line-height property during editing operation When we merge two paragraphs by typing backspace key at the head of the second paragraph, the styles of the second paragraph can be preserved by using <span> tag. However, we don't need to preserve line-height style because the computed value can be different from the value defined in HTML. BUG=226941 TEST=editing/deleting/backspace-merge-two-paragraphs.html Committed: https://crrev.com/8e411d16171d27612776a2f05356b0ed9f06b848 Cr-Commit-Position: refs/heads/master@{#399410}

Patch Set 1 : #

Patch Set 2 : rebaseline #

Patch Set 3 : rebaseline: webkit_unit_tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+38 lines, -9 lines) Patch
A third_party/WebKit/LayoutTests/editing/deleting/backspace-merge-two-paragraphs.html View 1 chunk +30 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/editing/pasteboard/data-transfer-items-expected.txt View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/editing/pasteboard/dragstart-contains-default-content-expected.txt View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/editing/pasteboard/onpaste-text-html-expected.txt View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/fast/events/ondrop-text-html-expected.txt View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/editing/EditingStyle.cpp View 1 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/web/tests/WebViewTest.cpp View 1 2 4 chunks +4 lines, -4 lines 0 comments Download

Messages

Total messages: 13 (7 generated)
joone
Hi yosin@ could you review this CL?
1 year, 6 months ago (2016-06-11 08:35:41 UTC) #4
joone
On 2016/06/11 08:35:41, joone wrote: > Hi yosin@ could you review this CL? There is ...
1 year, 6 months ago (2016-06-13 00:52:06 UTC) #6
yosin_UTC9
lgtm
1 year, 6 months ago (2016-06-13 01:13:52 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2064473002/80001
1 year, 6 months ago (2016-06-13 06:32:49 UTC) #9
commit-bot: I haz the power
Committed patchset #3 (id:80001)
1 year, 6 months ago (2016-06-13 06:55:56 UTC) #11
commit-bot: I haz the power
1 year, 6 months ago (2016-06-13 06:58:04 UTC) #13
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/8e411d16171d27612776a2f05356b0ed9f06b848
Cr-Commit-Position: refs/heads/master@{#399410}

Powered by Google App Engine
This is Rietveld 0eb02b776